Subject: [Xml-sg-cmt] Fwd: [rfc-i] Yet another RFCXMLv3 grammar bug

From: Robert Sparks <[email-masked]>
Date: Fri, 3 Dec 2021 09:56:18 -0600

What is the timeline for the general normalization we've been discussing 
(it feels like for years now)?

RjS

-------- Forwarded Message --------
Subject: 	[rfc-i] Yet another RFCXMLv3 grammar bug
Date: 	Fri, 3 Dec 2021 12:22:26 +0100
From: 	Carsten Bormann <[email-masked]>
To: 	RFC Interest <[email-masked]>

https://xml2rfc.tools.ietf.org/xml2rfc-doc-3.11.1.html#name-bcp14-2

This element can be a child element of <annotation>, <blockquote>, <dd>, 
<dt>, <em>, <li>, <name>, <refcontent>, <strong>, <sub>, <sup>, <t>, 
<td>, <th>, and <tt>.

… but not cref.

This means I cannot discuss BCP14 keywords in editorial notes.

(No, leaving off the BCP14 is not an option, a MUST NOT is a MUST NOT.
But of course I can upgrade the spelling in the cref to mUsT NoT.)

I stick with my general comment that tweaking the individual content 
models to reflect some imagined policy (or should I say “policy that 
reflects lack of imagination”) is the wrong way to do this. If something 
is allowed at the span level anywhere, it MUST be allowed everywhere at 
the span level.
(This also should evaporate most of the noise in the grammar.)

Grüße, Carsten

_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest

---

From: Peter Saint-Andre <[email-masked]>
Date: Fri, 3 Dec 2021 09:01:37 -0700

That fell off my radar but I will have time to work on it before year's end.

https://github.com/rfc-format/draft-iab-xml2rfc-v3-bis/issues/200

---

From: "John R Levine" <[email-masked]>
Date: 3 Dec 2021 11:32:41 -0500

> What is the timeline for the general normalization we've been discussing (it 
> feels like for years now)?

Early next year I hope.

R's,
John

> <dt>, <em>, <li>, <name>, <refcontent>, <strong>, <sub>, <sup>, <t>, <td>, 
> <th>, and <tt>.
>
> … but not cref.
>
> I stick with my general comment that tweaking the individual content models 
> to reflect some imagined policy (or should I say “policy that reflects lack 
> of imagination”) is the wrong way to do this. If something is allowed at the 
> span level anywhere, it MUST be allowed everywhere at the span level.

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly